<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
	<link rel='stylesheet' type='text/css' href='../resources/css/uikit-rtl.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/princessSophia.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/alertify.min.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/dashboard.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/style.css'></link>
</h:head>
<h:body>
	<div id="preloader"></div>
	<header id="top-head" class="uk-position-fixed">
			<div class="uk-container uk-container-expand" style="background-color:#0e0e0f">
				<nav class="uk-navbar uk-light" data-uk-navbar="mode:click; duration: 250">
					<div class="uk-navbar-left">
						<div class="uk-navbar-item uk-hidden@m">
							
						</div>
						<ul class="uk-navbar-nav uk-visible@m">
							<li><a></a></li>
							<li><a></a></li>
							<li><a></a></li>
							<li><a></a></li>
							<li ><a href='#'><img id='loguu' src='../resources/imgs/fu.png'/></a></li>
							<li><h1 style="margin-top:10%;">BarberShop</h1></li>
						</ul>
						
					</div>
					<div class="uk-navbar-right">
						<ul class="uk-navbar-nav">
							<li><a class="uk-navbar-toggle uk-hidden@s" data-uk-toggle="" data-uk-navbar-toggle-icon="" href="#offcanvas-nav" title="Menu" data-uk-tooltip=""></a></li>
						</ul>
					</div>
				</nav>
			</div>
		</header>
		<!--/HEADER-->
		<!-- LEFT BAR -->
		<aside id="left-col" class="uk-light uk-visible@m" style="background-color:#0e0e0f;">
			<div class="left-logo uk-flex uk-flex-middle">
			</div>
			<div class="left-content-box  content-box-dark">
				<img src="../resources/imgs/fu.png" alt="" id="adm" class="uk-border-circle profile-img"/>
				<h4 class="uk-text-center uk-margin-remove-vertical text-light">Administrador</h4>
				<div class="uk-position-relative uk-text-center uk-display-block">
				</div>
			</div>
			<div class="left-nav-wrap">
				<ul class="uk-nav uk-nav-default uk-nav-parent-icon" data-uk-nav="">
					<li class="uk-nav-header"></li>
					<li><a  uk-toggle="target: #my-id"><span data-uk-icon="icon: tag" class="uk-margin-small-right"></span>Adicionar Novidades</a></li>
					<li><a  uk-toggle="target: #cortes" id="adicionarCo" href="#"><span data-uk-icon="icon: git-fork" class="uk-margin-small-right"></span>Adicionar Cortes</a></li>
					<li><a  uk-toggle="target: #produtos" id="adicionarPro" href="#"><span data-uk-icon="icon: cart" class="uk-margin-small-right"></span>Adicionar Produtos</a></li>
					<li><a  uk-toggle="target: #tatoo" id="adicionarTato" href="#"><span data-uk-icon="icon: pencil" class="uk-margin-small-right"></span>Adicionar Tatoo</a></li>
					<li><a  uk-toggle="target: #videos" id="adicionarVi" href="#"><span data-uk-icon="icon: video-camera" class="uk-margin-small-right"></span>Adicionar Video</a></li>
					<li><a href="index.xhtml"><span data-uk-icon="icon: home" class="uk-margin-small-right"></span>Voltar para Home</a></li>
					<li><a href="logout.xhtml"><span data-uk-icon="icon: sign-out" class="uk-margin-small-right"></span>Sair</a></li>
				</ul>
					<div id="my-id" uk-modal="">
					    <div class="uk-modal-dialog uk-modal-body">
					        <h2 class="uk-modal-title">Adicionar Novidades</h2>
								<h:form id="novidade" enctype="multipart/form-data">
									<div class="uk-inline uk-width-1-1">
										<h1>Imagem:</h1><img class="imagem" src='../resources/imgs/a.jpg' style="max-height:150px;margin-bottom:20px;"></img>
										<h:inputFile style="margin-left:50px;"  type='file' id='file' onchange='readUrl(this);' value="#{AdicionarNovidade.imagem}" accept='image/*' required="true"/>
									</div>
									Titulo: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarNovidade.titulo}' name='titulo' required="true"><f:passThroughAttribute name="placeholder" value="Titulo da Novidade"></f:passThroughAttribute></h:inputText>
									<br></br><br></br>
									Descricao: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarNovidade.descricao}' name='descricao' required="true"><f:passThroughAttribute name="placeholder" value="Descrição da Novidade"></f:passThroughAttribute></h:inputText>
									<br></br><br></br>
									<h:commandButton type='submit' class='uk-button uk-button-primary uk-border-pill uk-width-1-1'  action='#{AdicionarNovidade.adicionarNovidade}' value='Adicionar'>
										<f:ajax execute="@this novidade" render="novi"></f:ajax>
									</h:commandButton>
								</h:form>
					    </div>
					</div>
					<h:outputText value="#{AdicionarNovidade.mensagem}" id="novi" escape="false"></h:outputText>
					<div id="cortes" uk-modal="">
					    <div class="uk-modal-dialog uk-modal-body">
					        <h2 class="uk-modal-title">Adicionar Cortes</h2>
								<h:form enctype="multipart/form-data">									
									<div class="uk-inline uk-width-1-1">
										<h1>Imagem:</h1><img class="imagem" src='../resources/imgs/a.jpg' style="max-height:150px;margin-bottom:20px;"></img>
										<h:inputFile style="margin-left:50px;"  type='file' id='file' onchange='readUrl(this);' value='#{AdicionarCortes.imagem}' accept='image/*' required="true"/>
									</div>
									Nome: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarCortes.nome}' name='nome'><f:passThroughAttribute name="placeholder" value="Nome do Corte" required="true"></f:passThroughAttribute></h:inputText>
									<br></br><br></br>
									Descricao: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarCortes.descricao}' name='descricao'><f:passThroughAttribute name="placeholder" value="Descrição do Corte" required="true"></f:passThroughAttribute></h:inputText>
									<br></br><br></br>
									Preco: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarCortes.preco}' name='preco' required="true"/>
									<br></br>
									<br></br>
									<h:commandButton type='submit' class='uk-button uk-button-primary uk-border-pill uk-width-1-1'  action='#{AdicionarCortes.adicionarCortes}' value='Adicionar'/>
								</h:form>
					    </div>
					</div>
					
					<div id="produtos" uk-modal="">
					    <div class="uk-modal-dialog uk-modal-body">
					        <h2 class="uk-modal-title">Adicionar Produtos</h2>
								<h:form enctype="multipart/form-data">									
									<div class="uk-inline uk-width-1-1">
										<h1>Imagem:</h1><img class="imagem" src='../resources/imgs/a.jpg' style="max-height:150px;margin-bottom:20px;"></img>
										<h:inputFile style="margin-left:50px;"  type='file' id='file' onchange='readUrl(this);' value="#{AdicionarProdutos.imagem}" accept='image/*' required="true"/>
									</div>
									Nome: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarProdutos.nome}' name='nome' required="true"><f:passThroughAttribute name="placeholder" value="Nome do Produto"></f:passThroughAttribute></h:inputText>
									<br></br><br></br>
									Descricao: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarProdutos.descricao}' name='descricao' required="true"><f:passThroughAttribute name="placeholder" value="Descrição do Produto"></f:passThroughAttribute></h:inputText>
									<br></br><br></br>
									Preco: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarProdutos.preco}' name='preco' required="true"/>
									<br></br><br></br>
									<h:commandButton type='submit' class='uk-button uk-button-primary uk-border-pill uk-width-1-1'  action='#{AdicionarProdutos.adicionarProdutos}' value='Adicionar'/>
								</h:form>
					    </div>
					</div>
					
					<div id="tatoo" uk-modal="">
					    <div class="uk-modal-dialog uk-modal-body">
					        <h2 class="uk-modal-title">Adicionar Tatuagens</h2>
								<h:form enctype="multipart/form-data">
									<div class="uk-inline uk-width-1-1">
										<h1>Imagem:</h1><img class="imagem" src='../resources/imgs/a.jpg' style="max-height:150px;margin-bottom:20px;"></img>
										<h:inputFile style="margin-left:50px;" type='file' id='file' onchange='readUrl(this);' value='#{AdicionarTatoos.imagem}' accept='image/*' required="true"/>
									</div>
									<br></br>
									<h:commandButton type='submit' class='uk-button uk-button-primary uk-border-pill uk-width-1-1'  action='#{AdicionarTatoos.adicionarTatuagens}' value='Adicionar'/>
								</h:form>
					    </div>
					</div>
					
					<div id="videos" uk-modal="">
					    <div class="uk-modal-dialog uk-modal-body">
					        <h2 class="uk-modal-title">Adicionar Videos</h2>
								<h:form enctype="multipart/form-data">
									<div class="uk-margin">
										<div class="uk-inline uk-width-1-1">
											<h1>Video:</h1><video class='imagem' src='' controls="" style="max-height:150px;margin-bottom:20px;"></video>
											<h:inputFile style="margin-left:50px;" type='file' id='file' onchange='readUrl(this);' value='#{AdicionarVideos.video}' accept='video/*' required="true"/><br></br><br></br>
											Titulo: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarVideos.titulo}' name='titulo' required="true"><f:passThroughAttribute name="placeholder" value="Titulo do Video"></f:passThroughAttribute></h:inputText>
											<br></br><br></br>
											Descricao: <h:inputText class='uk-input uk-border-pill' value='#{AdicionarVideos.descricao}' name='descricao' required="true"><f:passThroughAttribute name="placeholder" value="Descrição do Video"></f:passThroughAttribute></h:inputText>
											<br></br>
										</div>
									</div><br></br>
									<h:commandButton type='submit' class='uk-button uk-button-primary uk-border-pill uk-width-1-1'  action='#{AdicionarVideos.adicionarVideo}' value='Adicionar'/>
								</h:form>
					    </div>
					</div>
					
					
			</div>
		</aside>
		<!-- CONTENT -->
		<div id="content" data-uk-height-viewport="expand: true"><br></br><br></br>
			<div class="uk-container uk-container-expand">
				<hr></hr>
				<div class="uk-grid uk-grid-medium" data-uk-grid="">
						<ui:repeat value="#{mostrarNovi.getListau()}" var="novidade" >
							<div class="uk-width-1-2@l">
								<div class="uk-card uk-card-small uk-card-default uk-card-hover">
									<div class="uk-card-header">
										<div class="uk-grid uk-grid-small">
											<div class="uk-width-auto"><h4>Ultima Novidade Adicionada</h4></div>
											Publicado: #{novidade.data}
											<div class="uk-width-expand uk-text-right panel-icons">
												<h:form>
													<a href="editarNovidade.xhtml?id=#{novidade.id}" class="uk-icon-link" title="Editar" data-uk-tooltip="" ratio="1.5" data-uk-icon="icon: pencil"></a>
													<a href="#" class="uk-icon-link" uk-toggle="target: .deletar" title="Deletar" data-uk-tooltip="" ratio="1.5" data-uk-icon="icon: close"></a>
													<div class="deletar" uk-modal="">
													    <div class="uk-modal-dialog uk-modal-body">
													        <h4 class="uk-modal-title">Tem certeza de deletar esta Novidade?</h4>
													        <p class="uk-text-right">
													            <button class="uk-button uk-button-default uk-button-large uk-modal-close" type="button">Cancelar</button>
											               		 <h:commandLink class="uk-button uk-button-default uk-button-large uk-width-auto@s" data-uk-icon="arrow-right" value="Sim" action="#{AdicionarNovidade.deletar(novidade.id)}"/>				          
													        </p>
													    </div>
													</div>
												</h:form>	
											</div>
										</div>
									</div>
									<div class="uk-card-body">
										<img src="..#{novidade.imagem}"/>
										<center><h1 style="margin-top:5%;">#{novidade.titulo}</h1>
										<p>#{novidade.descricao}</p>
						               	</center>					                
									</div>
								</div>
							</div>
						</ui:repeat>	

					<div class="uk-width-1-2@l">
						<ui:repeat value="#{AdicionarCortes.getListau()}" var="cortes">
						<div class="uk-card  uk-card-small uk-card-default uk-card-hover">
							<div class="uk-card-header">
								<div class="uk-grid uk-grid-small">
									<div class="uk-width-auto"><h4>Ultimo Estilo de Corte Adicionado</h4></div>
									Publicado: #{cortes.data}
									<div class="uk-width-expand uk-text-right panel-icons">
										<h:form>
											<a href="editarCortes.xhtml?id=#{cortes.id}" class="uk-icon-link" title="Editar" data-uk-tooltip="" data-uk-icon="icon: pencil" ratio="1.5"></a>
											<a href="#" class="uk-icon-link"  uk-toggle="target: .deletarC" title="Deletar" data-uk-tooltip="" ratio="1.5" data-uk-icon="icon: close"></a>
											<div class="deletarC" uk-modal="">
												    <div class="uk-modal-dialog uk-modal-body">
												        <h4 class="uk-modal-title">Tem certeza de deletar este Corte?</h4>
												        <p class="uk-text-right">
												            <button class="uk-button uk-button-default uk-button-large uk-modal-close" type="button">Cancelar</button>
						               						 <h:commandLink class="uk-button uk-button-default uk-button-large uk-width-auto@s" data-uk-icon="arrow-right" value="Sim" action="#{AdicionarCortes.deletar(cortes.id)}"/>				          
												        </p>
												    </div>
											</div>
										</h:form>	
									</div>
								</div>
							</div>
							<div class="">
								<div class="uk-card-body">
									<img src="..#{cortes.imagem}"/>
									<center><h1 style="margin-top:5%;">#{cortes.nome}</h1>
									<p>#{cortes.descricao}</p>
					               	</center>					                
								</div>
							</div>
						</div>
						</ui:repeat>
					</div>

					<div class="uk-width-1-1 uk-width-1-3@l uk-width-1-2@xl">
						<ui:repeat value="#{AdicionarProdutos.getListau()}" var="produtos">
							<div class="uk-card uk-card-default  uk-card-small uk-card-hover">
								<div class="uk-card-header">
									<div class="uk-grid uk-grid-small">
										<div class="uk-width-auto"><h4>Ultimo Produto Adicionado</h4></div>
										Publicado: #{produtos.data}
										<div class="uk-width-expand uk-text-right panel-icons">
										<h:form>
											<a href="editarProdutos.xhtml?id=#{produtos.id}" class="uk-icon-link" title="Editar" ratio="1.5" data-uk-tooltip="" data-uk-icon="icon: pencil"></a>
											<a href="#" uk-toggle="target: .deletarP" class="uk-icon-link" title="Deletar" data-uk-tooltip="" ratio="1.5" data-uk-icon="icon: close"></a>
						               		<div class="deletarP" uk-modal="">
											    <div class="uk-modal-dialog uk-modal-body">
											        <h4 class="uk-modal-title">Tem certeza de deletar este Produto?</h4>
											        <p class="uk-text-right">
											            <button class="uk-button uk-button-default uk-button-large uk-modal-close" type="button">Cancelar</button>
						               		 			<h:commandLink class="uk-button uk-button-default uk-button-large uk-width-auto@s" data-uk-icon="arrow-right" value="Sim" action="#{AdicionarProdutos.deletar(produtos.id)}"/>				          
											        </p>
											    </div>
											</div>						               	
										</h:form>
										</div>
									</div>
								</div>
								<div class="">
									<div class="uk-card-body">
										<img src="..#{produtos.imagem}" style="max-height:200px"/>
										<center><h1 style="margin-top:5%;">#{produtos.nome}</h1>
										<p>#{produtos.descricao}</p>
						               	</center>					                
									</div>
								</div>
							</div>
						</ui:repeat>
					</div>
					<!-- /panel -->
					<!-- panel -->
					<div class="uk-width-1-2@s uk-width-1-3@l uk-width-1-4@xl">
						<ui:repeat value="#{AdicionarTatoos.getListau()}" var="tatuagem">
							<div class="uk-card uk-card-default  uk-card-small uk-card-hover">
								<div class="uk-card-header">
									<div class="uk-grid uk-grid-small">
										<div class="uk-width-auto"><h4>Ultima Tatoo Adicionada</h4></div>
										Publicado: #{tatuagem.data}
										<div class="uk-width-expand uk-text-right panel-icons">
											<h:form>
												<a href="editarTatuagens.xhtml?id=#{tatuagem.id}" class="uk-icon-link" title="Editar" data-uk-tooltip="" data-uk-icon="icon: pencil" ratio="1.5"></a>
												<a href="#" class="uk-icon-link" title="Deletar" data-uk-tooltip="" uk-toggle="target: .deletarT" data-uk-icon="icon: close" ratio="1.5"></a>
												<div class="deletarT" uk-modal="">
												    <div class="uk-modal-dialog uk-modal-body">
												        <h4 class="uk-modal-title">Tem certeza de deletar esta Tatuagem?</h4>
												        <p class="uk-text-right">
												            <button class="uk-button uk-button-default uk-button-large uk-modal-close" type="button">Cancelar</button>
							               					<h:commandLink class="uk-button uk-button-default uk-button-large uk-width-auto@s" data-uk-icon="arrow-right" value="Sim" action="#{AdicionarTatoos.deletar(tatuagem.id)}"/>				          
												        </p>
												    </div>
												</div>
											</h:form>
										</div>
									</div>
								</div>
								<div class="">
									<div class="uk-card-body">
										<img src="..#{tatuagem.imagem}" style="max-height:200px"></img>
									</div>
								</div>
							</div>
						</ui:repeat>
					</div>
					<!-- /panel -->
					<!-- panel -->
					<div class="uk-width-1-2@s uk-width-1-3@l uk-width-1-4@xl">
						<ui:repeat value="#{AdicionarVideos.getListau()}" var="video">
							<div class="uk-card uk-card-default uk-card-small uk-card-hover">
								<div class="uk-card-header">
									<div class="uk-grid  uk-grid-small">
										<div class="uk-width-auto"><h4>Ultimo Video Adicionado </h4></div>
										Publicado: #{video.data}
										<div class="uk-width-expand uk-text-right panel-icons">
											<h:form>
												<a href="editarVideos.xhtml?id=#{video.id}" class="uk-icon-link" title="Editar" data-uk-tooltip="" data-uk-icon="icon: pencil" ratio="1.5"></a>
												<a href="#"  uk-toggle="target: .deletarVi" class="uk-icon-link" title="Deletar" data-uk-tooltip="" data-uk-icon="icon: close" ratio="1.5"></a>
												<div class="deletarVi" uk-modal="">
												    <div class="uk-modal-dialog uk-modal-body">
												        <h4 class="uk-modal-title">Tem certeza de deletar este Video?</h4>
												        <p class="uk-text-right">
												            <button class="uk-button uk-button-default uk-button-large uk-modal-close" type="button">Cancelar</button>
							               					<h:commandLink class="uk-button uk-button-default uk-button-large uk-width-auto@s" data-uk-icon="arrow-right" value="Sim" action="#{AdicionarVideos.deletar(video.id)}"/>				          
												        </p>
												    </div>
												</div>
											</h:form>
										</div>
									</div>
								</div>
								<div class="">
									<div class="uk-card-body">
										<video controls="" src="..#{video.video}"></video>
									</div>
									<center><h1 style="margin-top:5%;">#{video.titulo}</h1>
									<p>#{video.descricao}</p>
						             </center><br></br>
								</div>
							</div>
						</ui:repeat>		
					</div>
					<!-- /panel -->
				</div>
		</div>

		<div id="offcanvas-nav" data-uk-offcanvas="flip: true; overlay: true">
			<div class="uk-offcanvas-bar uk-offcanvas-bar-animation uk-offcanvas-slide">
				<button class="uk-offcanvas-close uk-close uk-icon" type="button" data-uk-close=""></button>
				<aside id="left-col" class="uk-light" style="background-color:#0e0e0f;">
			<div class="left-logo uk-flex uk-flex-middle">
			</div>
			<div class="left-content-box  content-box-dark">
				<img src="../resources/imgs/fu.png" alt="" widht="50%" class="uk-border-circle profile-img"/>
				<h4 class="uk-text-center uk-margin-remove-vertical text-light">Administrador</h4><br></br>
				<div class="uk-position-relative uk-text-center uk-display-block">
				</div>
			</div>
			<div class="left-nav-wrap">
				<ul class="uk-nav uk-nav-default uk-nav-parent-icon" data-uk-nav="">
					<li><a  uk-toggle="target: #my-id"><span data-uk-icon="icon: tag" class="uk-margin-small-right"></span>Adicionar Novidades</a></li>
					<li><a  uk-toggle="target: #cortes" id="adicionarCo" href="#"><span data-uk-icon="icon: git-fork" class="uk-margin-small-right"></span>Adicionar Cortes</a></li>
					<li><a  uk-toggle="target: #produtos" id="adicionarPro" href="#"><span data-uk-icon="icon: cart" class="uk-margin-small-right"></span>Adicionar Produtos</a></li>
					<li><a  uk-toggle="target: #tatoo" id="adicionarTato" href="#"><span data-uk-icon="icon: pencil" class="uk-margin-small-right"></span>Adicionar Tatoo</a></li>
					<li><a  uk-toggle="target: #videos" id="adicionarVi" href="#"><span data-uk-icon="icon: video-camera" class="uk-margin-small-right"></span>Adicionar Video</a></li>
					<li><a href="index.xhtml"><span data-uk-icon="icon: home" class="uk-margin-small-right"></span>Voltar para Home</a></li>
					<li><a href="logout.xhtml"><span data-uk-icon="icon: sign-out" class="uk-margin-small-right"></span>Sair</a></li>
				</ul>
			</div>
		</aside>			
		</div><br></br><br></br><br></br><br></br><br></br><br></br><br></br><br></br>
		</div>
	</div>
</h:body>
<script src='../resources/js/jquery.js'></script>
<script src='../resources/js/uikit.js'></script>
<script src='../resources/js/uikit-icons.js'></script>

<script language="javascript" type="text/javascript">
	$(window).load(function(){
		$('#preloader').delay(1000).fadeOut('slow',function(){$(this).remove();});
	});
</script>
<script>
//<![CDATA[
		function readUrl(input){
			if(input.files && input.files[0]){
				var reader= new FileReader();
				reader.onload=function(e){
					$('.imagem')
					.attr('src', e.target.result)
					.width(250)
					.heigth(200);
				};
				reader.readAsDataURL(input.files[0]);
			}
		}
	
	//]]>
</script>
</html>
